# border-width

Specifies the width of the border.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
4.0+ | 4.0+ | 1.0+ | 5.0+ | 1.0+

## Usage

[border-top-width] [border-right-width] [border-bottom-width] [border-left-width]. Example values: 2px 4px 2px 4px, 0.25in 05.in, thin, etc.

## Values

* | Specify a border width value not on this list.
inherit | Inherit the value from the parent element.
thin | Thin border.
medium | Medium border.
thick | Thick border.

## Example

To specify a border width that is 2px on top, 1px on the right and bottom, and 2px on the left, use the following syntax: `.myborderclass {border-width: 2px 1px 1px 2px;}`.

## Remarks

You can also specify a fixed pixel value for `border-width`.

You can specify up to four different widths for the border of an element.

- For border that is the same on all four sides, specify a single value.
- For border that is different on the top/bottom and left/right sides, specify two values with the top/bottom value first.
- For border that is different on the top, left/right, and bottom sides, specify three values with the top value first, followed by the left/right and then bottom values.
- For border with four different styles, specify four values in the order of top, right, bottom, and left.

## Availability

W3C CSS2

## Related

- a
- a:active
- a:focus
- a:hover
- a:link
- a:visited
- b
- blockquote
- body
- code
- div
- em
- fieldset
- form
- h1
- h2
- h3
- h4
- h5
- h6
- hr
- i
- input
- label
- legend
- li
- ol
- optgroup
- option
- p
- pre
- small
- span
- strong
- table
- td
- textarea
- th
- tr
- ul

text_css aptana_docs